import { __decorate, __metadata } from "tslib";
import { Directive, HostListener } from '@angular/core';
var InputSearchDirective = /** @class */ (function () {
    function InputSearchDirective() {
        this.focus = false;
    }
    InputSearchDirective.prototype.onFocus = function () {
        this.focus = true;
    };
    InputSearchDirective.prototype.onBlur = function () {
        this.focus = false;
    };
    __decorate([
        HostListener('focus'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], InputSearchDirective.prototype, "onFocus", null);
    __decorate([
        HostListener('blur'),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", void 0)
    ], InputSearchDirective.prototype, "onBlur", null);
    InputSearchDirective = __decorate([
        Directive({
            selector: 'au-fa-input input'
        }),
        __metadata("design:paramtypes", [])
    ], InputSearchDirective);
    return InputSearchDirective;
}());
export { InputSearchDirective };
//# sourceMappingURL=input-search.directive.js.map